summarylogtreecommitdiffstats
path: root/craze.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-26 17:07:07 +0800
committerzxp198210052024-02-26 17:07:07 +0800
commit28616c5c0b0411d96ad11342b3f7fae41b961646 (patch)
treeeb2f85a53d13120812b967fc3e3171c8b779d45c /craze.sh
parent971c7ba3540d121e0ac515f87d070c57dc8fb9b0 (diff)
downloadaur-28616c5c0b0411d96ad11342b3f7fae41b961646.tar.gz
fix errors
Diffstat (limited to 'craze.sh')
-rw-r--r--craze.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/craze.sh b/craze.sh
index aacd8f895847..f9ced1432cfc 100644
--- a/craze.sh
+++ b/craze.sh
@@ -1,15 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@"
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
-fi
-exit \ No newline at end of file
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file